Subject: [Ice] 5245bis: Check list candidate pair state correction - pull request

From: Christer Holmberg <[email-masked]>
Date: Fri, 18 Nov 2016 15:08:08 +0000

Hi,

In Seoul I claimed that the definitions of the candidate pair states "Waiting" and "Frozen" are incorrect.

Section 5.1.3.4 contains the following definitions:

"Waiting:  A check has not been performed for this pair, and can be performed as soon as it is the highest-priority Waiting pair on the check list."

I claimed that checks are not performed solely based on priority - it also depends on whether the check is triggered or ordinary. But, we don't need to go into those details in the state definition.

"Frozen:  A check for this pair hasn't been performed, and it can't yet be performed until some other check succeeds, allowing this pair to unfreeze and move into the Waiting state.."

I claimed that pairs can be unfrozen even if other checks have not succeeded.

Based on the discussions, I've created a pull request:

https://github.com/ice-wg/rfc5245bis/pull/23

I've also done some text/terminology alignment among all states.

Regards,

Christer